mvdb(1)

NAME
mvdb - Atomically update files in a directory

SYNOPSIS
mvdb [-l lockfile] file1 file2 ... or mvdb [-l lockfile] newfile1=file1 newfile2=file2 .....

DESCRIPTION
mvdb is used to lock a directory exclusively and then atomically update a set of files in it. A file is moved in only if it does not already exist in the current directory, or if the version in this directory is older. You must be cd'd into the destination directory already. If you do not specify a lockfile, the current directory "." is locked. The Unix primitive flock() is used for locking. For each file moved in, you can choose to retain the original name or give it a new name by using the newfile=file construct. If a file filename already exists in the directory, it is first renamed to filename.BAK. The dates of the target are copied from the source files. The options are:

-v  Verbose mode. Will print out information on the progress of the command.

-u  Force update. Moves in the files even if the source files are not newer.

EXAMPLE

cd /itcbin/vice/bin
mvdb /usr/andrew/bin venus2.sun=venus2 file salvage

BUGS
All the files have to come from the same source directory. You have to be cd'd into the target directory. You need Lock rights in Vice directories for locking.

AUTHOR
Created: M.Satyanarayanan, 1985